---
name: Bug Report
about: Create a report to help us fix a problem with Vega.
title: ''
labels: 'bug'
assignees: ''

---

Please:

- [ ] Check for duplicate issues. Please file separate requests as separate issues on GitHub.
- [ ] Describe how to reproduce the bug.
- [ ] Use the latest Vega version, if possible. Always indicate which version you are using.
- [ ] If you are using Kibana, first read the [instructions for posting Kibana Vega issues](https://gist.github.com/nyurik/736c34970ba3c32f3fe3d45d66719b3e).
- [ ] Include error messages or gifs/screenshots of problematic behavior, if applicable.
- [ ] Provide an example specification and accessible data. Try to provide the simplest specification that reproduces the problem. To share a specification, use the [Vega-Editor](https://vega.github.io/editor/) and click "Share" to embed a working link, or provide an example spec in JSON, wrapped by triple backticks like this:

```json
{
  "width": 500,
  "height": 200,
  "data": [ ],
  "marks": [ ]
}
```
