---
layout: example
title: Regression Example
permalink: /examples/regression/index.html
spec: regression
image: /examples/img/regression.png
---

A two-dimensional [regression analysis](https://en.wikipedia.org/wiki/Regression_analysis) models one data variable as a function of another. The resulting model produces a trend line that summarizes and extrapolates observed data. This example uses parametric regression models to predict IMDB users' film ratings based on Rotten Tomatoes critics' ratings. The regression options range from linear regression to other functions such as logarithmic, quadratic, and polynomial regression. Alternatively, see the [loess regression](../loess-regression) example for a non-parametric approach to scatter plot smoothing.

{% include example spec=page.spec %}
